Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class SlipSingleStepper

    java.lang.Object
      ix.iplan.SlipSingleStepper

    public class SlipSingleStepper

extends java.lang.Object

A single-stepper for an instance of `Slip`.

Nested Class Summary
`(package private) class` | `SlipSingleStepper.Command`
`(package private) class` | `SlipSingleStepper.Trigger`

Field Summary
`(package private) java.util.Map` | `commandTable`
`(package private) java.lang.String[]` | `helpText`
`(package private) SlipSingleStepper.Trigger` | `instantTrigger`
`(package private) Slip` | `slip`
`(package private) SlipSingleStepper.Trigger` | `trigger`

Constructor Summary
`SlipSingleStepper(Slip slip)`

Method Summary
`(package private) void` | `define(SlipSingleStepper.Command c)`
`(package private) void` | `evalCommand(LList command)`
`(package private) void` | `singleStepBreakLoop()`
`void` | `step()` Called before each planning step when single-stepping is on.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### slip

    Slip slip

### commandTable

    java.util.Map commandTable

### trigger

    SlipSingleStepper.Trigger trigger

### instantTrigger

    SlipSingleStepper.Trigger instantTrigger

### helpText

    java.lang.String[] helpText

Constructor Detail

### SlipSingleStepper

    public SlipSingleStepper(Slip slip)

Method Detail

### step

    public void step()

  Called before each planning step when single-stepping is on.

### singleStepBreakLoop

    void singleStepBreakLoop()

### evalCommand

    void evalCommand(LList command)

### define

    void define(SlipSingleStepper.Command c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD